import { useEffect, useRef } from 'react';
function useScrollRestore() {
    var scrollPosition = useRef(0);
    useEffect(function () {
        return function () {
            scrollPosition.current = window.scrollY;
        };
    }, []);
    useEffect(function () {
        window.scrollTo(0, scrollPosition.current);
    }, []);
    function restoreScrollPosition() {
        window.scrollTo(0, scrollPosition.current);
    }
    ;
    return restoreScrollPosition;
}
;
export default useScrollRestore;
